package com.example.theviper;

import android.app.Activity;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;

public class Juego extends Activity {
    private VistaJuego vistaJuego;
    //Botones de juego
    private Button giroHorario;
    private Button giroAntihorario;
    @Override public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.juego);
        vistaJuego = (VistaJuego) findViewById(R.id.VistaJuego);
        vistaJuego.setPadre(this);
    }


    @Override
    protected void onPause() {
        super.onPause();
        //vistaJuego.desactivarSensores();
        vistaJuego.getThread().pausar();
    }

    @Override
    protected void onResume() {
        super.onResume();
        //vistaJuego.activarSensores();
        vistaJuego.getThread().reanudar();

    }

    @Override
    protected void onDestroy() {
        vistaJuego.getThread().detener();
        super.onDestroy();
    }
}
